Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731134 - dev-lang/spidermonkey-17.0.0-r5 keyword request
Summary: dev-lang/spidermonkey-17.0.0-r5 keyword request
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 685080
  Show dependency tree
 
Reported: 2020-07-07 01:00 UTC by Felix Janda
Modified: 2020-08-30 16:13 UTC (History)
1 user (show)

See Also:
Package list:
=dev-lang/spidermonkey-17.0.0-r5 ~arm64 ~hppa
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Janda 2020-07-07 01:00:57 UTC
Is needed for javascript support in >=www-client/elinks-0.13.0.

Reproducible: Always
Comment 1 NATTkA bot gentoo-dev 2020-07-07 01:04:37 UTC
Unable to check for sanity:

> invalid package spec: =dev-lang/spidermonkey
Comment 2 NATTkA bot gentoo-dev 2020-07-07 01:12:40 UTC
Unable to check for sanity:

> package masked: dev-lang/spidermonkey-17.0.0-r5, by keywords: -hppa
Comment 3 Felix Janda 2020-07-07 01:18:21 UTC
Does hppa have any interest in revisiting Bug 504124 . If not, www-client/elinks will drop hppa keyword.
Comment 4 Thomas Deutschmann gentoo-dev Security 2020-07-09 16:55:50 UTC
Why are you requesting such an old version? This version should go away soon... doesn't package work with 68.x?
Comment 5 NATTkA bot gentoo-dev 2020-07-09 17:24:35 UTC
All sanity-check issues have been resolved
Comment 6 Felix Janda 2020-07-10 00:45:10 UTC
The configure script of www-client/elinks-0.13.3 looks for mozjs-17.0 with pkg-config.

From what I understand, they do not use a newer version because 17.0.0 is the last version with a C API (as opposed to a C++ API).
Comment 7 Larry the Git Cow gentoo-dev 2020-08-07 17:58:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d1f2a434037d6ec578b8b57fed7676ca446b6c0

commit 5d1f2a434037d6ec578b8b57fed7676ca446b6c0
Author:     Felix Janda <felix.janda@posteo.de>
AuthorDate: 2020-08-02 21:28:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-07 17:57:49 +0000

    www-client/elinks: USE=javascript needs dev-lang/spidermonkey:17
    
    Mask javascript use flag on arm64 and hppa due to missing keyword of
    dependency
    
    Bug: https://bugs.gentoo.org/685080
    Bug: https://bugs.gentoo.org/731134
    Signed-off-by: Felix Janda <felix.janda@posteo.de>
    Closes: https://github.com/gentoo/gentoo/pull/16604
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/arm64/package.use.mask   | 4 ++++
 profiles/arch/hppa/package.use.mask    | 4 ++++
 www-client/elinks/elinks-0.13.4.ebuild | 2 +-
 www-client/elinks/elinks-9999.ebuild   | 2 +-
 4 files changed, 10 insertions(+), 2 deletions(-)
Comment 8 Sam James archtester gentoo-dev Security 2020-08-30 16:13:53 UTC
WONTFIX for now, then.